## r-cran-gbutils 0.5

=== DESCRIPTION ===
Package: gbutils
Type: Package
Title: Utilities for Simulation, Plots, Quantile Functions and
        Programming
Version: 0.5
Date: 2022-05-27
Depends: methods
Imports: stats, utils, Rdpack (>= 0.9)
Suggests: testthat (>= 3.0.0), classGraph, graph, Rgraphviz
RdMacros: Rdpack
Authors@R: person(given = c("Georgi", "N."), family = "Boshnakov",
                  role = c("aut", "cre"), 
                  email = "georgi.boshnakov@manchester.ac.uk")
Description: Plot density and distribution functions with automatic selection of
       suitable regions. Numerically invert (compute quantiles) distribution
       functions. Simulate real and complex numbers from distributions of their
       magnitude and arguments. Optionally, the magnitudes and/or arguments may
       be fixed in almost arbitrary ways. Create polynomials from roots given in
       Cartesian or polar form. Small programming utilities: check if an object
       is identical to NA, count positional arguments in a call, set
       intersection of more than two sets, check if an argument is unnamed,
       compute the graph of S4 classes in packages.
URL: https://github.com/GeoBosh/gbutils (devel),
        https://geobosh.github.io/gbutils/ (website)
BugReports: https://github.com/GeoBosh/gbutils/issues
License: GPL (>= 2)
Encoding: UTF-8
Collate: parse_text.R sim_numbers.R isNA.R mintersect.R pad.R args.R
        history.R cdf2qf.R S4utils.R pseudoInverse.R rpoly.R
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-05-27 07:31:07 UTC; georgi
Author: Georgi N. Boshnakov [aut, cre]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2022-05-27 09:30:07 UTC

=== debian/changelog ===
r-cran-gbutils (0.5-3) unstable; urgency=medium

  * debian/control: Correct copy-and-paste error

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Nov 2022 15:20:10 -0600

r-cran-gbutils (0.5-2) unstable; urgency=medium

  * Rebuilding as source upload after inclusion in unstable

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Nov 2022 12:06:19 -0600

r-cran-gbutils (0.5-1) unstable; urgency=low

  * Initial Debian release 			(Closes: #1023549)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Nov 2022 08:51:25 -0600

=== debian/control ===
Source: r-cran-gbutils
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rdpack
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-gbutils
Vcs-Git: https://salsa.debian.org/edd/r-cran-gbutils.git
Homepage: https://cran.r-project.org/package=gbutils

Package: r-cran-gbutils
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-rdpack
Suggests: r-cran-testthat, r-bioc-graph, r-bioc-rgraphviz
Description: GNU R package for Utilities for Simulation, Plots, And More
 Plot density and distribution functions with automatic selection of
 suitable regions. Numerically invert (compute quantiles) distribution
 functions. Simulate real and complex numbers from distributions of their
 magnitude and arguments. Optionally, the magnitudes and/or arguments may
 be fixed in almost arbitrary ways. Create polynomials from roots given in
 Cartesian or polar form. Small programming utilities: check if an object
 is identical to NA, count positional arguments in a call, set
 intersection of more than two sets, check if an argument is unnamed,
 compute the graph of S4 classes in packages.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-gbutils package
# Copyright 2003 - 2022 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/gbutils_([-\d\.]*)\.tar.gz

## r-cran-gbutils 0.5.1

=== DESCRIPTION ===
Package: gbutils
Type: Package
Title: Utilities for Simulation, Plots, Quantile Functions and
        Programming
Version: 0.5.1
Depends: methods
Imports: stats, utils, Rdpack (>= 0.9)
Suggests: testthat (>= 3.0.0), classGraph, graph, Rgraphviz
RdMacros: Rdpack
Authors@R: person(given = c("Georgi", "N."), family = "Boshnakov",
                  role = c("aut", "cre"), 
                  email = "georgi.boshnakov@manchester.ac.uk",
		  comment = c(ORCID = "0000-0003-2839-346X"))
Description: Plot density and distribution functions with automatic selection of
       suitable regions. Numerically invert (compute quantiles) distribution
       functions. Simulate real and complex numbers from distributions of their
       magnitude and arguments. Optionally, the magnitudes and/or arguments may
       be fixed in almost arbitrary ways. Create polynomials from roots given in
       Cartesian or polar form. Small programming utilities: check if an object
       is identical to NA, count positional arguments in a call, set
       intersection of more than two sets, check if an argument is unnamed,
       compute the graph of S4 classes in packages.
URL: https://geobosh.github.io/gbutils/ (doc),
        https://CRAN.R-project.org/package=gbutils
BugReports: https://github.com/GeoBosh/gbutils/issues
License: GPL (>= 2)
Encoding: UTF-8
Collate: parse_text.R sim_numbers.R isNA.R mintersect.R pad.R args.R
        history.R cdf2qf.R S4utils.R pseudoInverse.R rpoly.R
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-12-18 15:16:56 UTC; georgi
Author: Georgi N. Boshnakov [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-2839-346X>)
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2025-12-18 17:10:17 UTC

=== debian/changelog ===
r-cran-gbutils (0.5.1-2) unstable; urgency=medium

  * debian/watch: Use simpler regexp
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Dec 2025 15:02:06 -0600

r-cran-gbutils (0.5.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Dec 2025 19:18:13 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rdpack
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-rdpack
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-gbutils
 Vcs-Git: https://salsa.debian.org/edd/r-cran-gbutils.git
 Homepage: https://cran.r-project.org/package=gbutils

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/gbutils_(.*)\.tar\.gz
